[application]
# Makes application more verbose
talkative = false

# Error reporting
report-errors = true
report-url = "https://arch.myddns.me/bin/"

# Allow loading external config
load-config = true
config-name = "config/$name.toml"

# Perform certain actions automatically
auto-launch = true
auto-update = true
check-update = true


[interface]
# Enable user interface
enabled = false

# Enabled options
launch = true
update = true
config-dump = false
exit = true

# Initial message and button labels
message = "[[ $name Launcher ]]"
launch-label = "Launch"
update-label = "Update"
update-avail-label = "Update (available)"
config-dump-label = "Dump Config"
exit-label = "Exit"


[launcher]
# Settings to launch target application
command = ["./$exec"]
workdir = "games/$name/$workdir"

# Uses Lua instead of shell
use-script = false
entry-file = ""
source-dir = ""

# Windows only
hide-when-running = true


[updater]
# Settings to update target application
# WARNING! Updater will delete files in the workdir!
seedurl = "$seed"
workdir = "games/$name"

parallel-downloads = 5

# Excludes files from updates.
# Excluded files will not be deleted.
exclude = $exclusions
